summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author Dimitris Tsagkatakis2013-02-09 19:18:12 +0100
committer Erik Hanson2013-02-14 07:26:50 +0100
commite503e8846d35cee6a357b500c1985a90129e1fca (patch)
tree1a609cf4bd18748521495e05ee9e963e91584bec /system
parent23b9d45ab371c9dfa3d1e3347951fae63d664b2d (diff)
downloadslackbuilds-e503e8846d35cee6a357b500c1985a90129e1fca.tar.gz
system/efibootmgr: Added (Tool to manipulate the EFI/UEFI Boot Manager)
Signed-off-by: Erik Hanson <erik@slackbuilds.org>
Diffstat (limited to 'system')
-rw-r--r--system/efibootmgr/README14
-rw-r--r--system/efibootmgr/efibootmgr.SlackBuild82
-rw-r--r--system/efibootmgr/efibootmgr.info10
-rw-r--r--system/efibootmgr/slack-desc19
4 files changed, 125 insertions, 0 deletions
diff --git a/system/efibootmgr/README b/system/efibootmgr/README
new file mode 100644
index 0000000000..91b0b1e4ab
--- /dev/null
+++ b/system/efibootmgr/README
@@ -0,0 +1,14 @@
+efibootmgr is a Linux user-space application to modify the Intel Extensible
+Firmware Interface (EFI) Boot Manager. This application can create and
+destroy boot entries, change the boot order, change the next running boot
+option, and more.
+
+Details on the EFI Boot Manager are available from the EFI Specification,
+v1.02 or above, available from:
+
+http://developer.intel.com
+
+Note: In order to use this, you'll have to boot your system in EFI mode and
+load the "efivars" kernel module:
+
+modprobe efivars
diff --git a/system/efibootmgr/efibootmgr.SlackBuild b/system/efibootmgr/efibootmgr.SlackBuild
new file mode 100644
index 0000000000..9bd265c97b
--- /dev/null
+++ b/system/efibootmgr/efibootmgr.SlackBuild
@@ -0,0 +1,82 @@
+#!/bin/sh
+
+# Slackware build script for efibootmgr
+
+# Copyright 2012 Dimitris Tsagkatakis <dtsagka at otenet dot gr>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=efibootmgr
+VERSION=${VERSION:-0.6.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+else
+ SLKCFLAGS="-O2"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" make
+
+install -Dm755 src/efibootmgr/efibootmgr $PKG/usr/sbin/efibootmgr
+install -Dm644 src/man/man8/efibootmgr.8 $PKG/usr/man/man8/efibootmgr.8
+
+strip --strip-unneeded $PKG/usr/sbin/efibootmgr # strip binary
+gzip -9 $PKG/usr/man/man8/efibootmgr.8 # compress manpage
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a doc/* AUTHORS COPYING README $PKG/usr/doc/$PRGNAM-$VERSION/
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz} \ No newline at end of file
diff --git a/system/efibootmgr/efibootmgr.info b/system/efibootmgr/efibootmgr.info
new file mode 100644
index 0000000000..fb4218c87e
--- /dev/null
+++ b/system/efibootmgr/efibootmgr.info
@@ -0,0 +1,10 @@
+PRGNAM="efibootmgr"
+VERSION="0.6.0"
+HOMEPAGE="http://linux.dell.com/efibootmgr/"
+DOWNLOAD="http://linux.dell.com/efibootmgr/efibootmgr-0.6.0/efibootmgr-0.6.0.tar.gz"
+MD5SUM="1adcda5218f79444b3aadb7598f01bed"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Dimitris Tsagkatakis"
+EMAIL="dtsagka@otenet.gr"
diff --git a/system/efibootmgr/slack-desc b/system/efibootmgr/slack-desc
new file mode 100644
index 0000000000..80e080b6c9
--- /dev/null
+++ b/system/efibootmgr/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+efibootmgr: efibootmgr (Tool to manipulate the EFI/UEFI Boot Manager)
+efibootmgr:
+efibootmgr: efibootmgr is a Linux user-space application to modify the Intel
+efibootmgr: Extensible Firmware Interface (EFI) Boot Manager. This application
+efibootmgr: can create and destroy boot entries, change the boot order, change
+efibootmgr: the next running boot option, and more.
+efibootmgr:
+efibootmgr: Details on the EFI Boot Manager are available from the EFI
+efibootmgr: Specification, v1.02 or above, available from:
+efibootmgr:
+efibootmgr: http://developer.intel.com